% practice and task of state switching variant

%%%%%%%%%%%%%%%%%%%%%%
%% enter subject ID %%
%%%%%%%%%%%%%%%%%%%%%%

subj = '0009_JQK';

%%%%%%%%%%%%%%%%%%%%%%%%
%% enter task variant %%
%%%%%%%%%%%%%%%%%%%%%%%%

setup.task = 'dynamic'; % task materials: 'words', 'visual', 'dynamic'

%% add required paths

pn.root = '/Volumes/LNDG/Julian/Projects/StateSwitch/C_Paradigm/';
pn.CB = [pn.root, 'checker/'];
pn.MAT = [pn.root, 'dotsx/'];
pn.SS = [pn.root, 'StateSwitch/'];

addpath(genpath([pn.root, 'functions/']));
addpath(pn.CB);
addpath(pn.MAT);
addpath(pn.SS);
addpath(genpath([pn.root, 'helper/']));

addpath(genpath('/Users/Shared/Psychtoolbox/')); % PTB 3.0.13 (160606)

%% create results directory

subjectsPath = [pn.root, '/data/', subj '_' datestr(now, 'yymmdd_HHMM') '/']; mkdir(subjectsPath);

diary([subjectsPath, '_ptbnotes.txt']); version

%% set up PTB

Screen('Preference', 'SkipSyncTests', 1);
oldLevel = Screen('Preference', 'Verbosity', 4); % output debugging info
PsychDebugWindowConfiguration(0,0.3)

% Screen('Preference', 'SkipSyncTests', 0);
% setenv('PSYCH_ALLOW_DANGEROUS', '1');

availableKeyboards = 1;

%% settings 

setup.DEBUG                     = 1; 
setup.opacity                   = .99; 
setup.keyB                      = availableKeyboards;
setup.ET.useET                  = 0;
setup.ET.DIO.parallelTrigger    = 1;
setup.EEG.useEEG                = 0;
setup.MR.useMR                  = 0;
setup.ET.falsePupilRec          = 'no';
setup.ET.ELdummymode            = 0;
setup.pr.ntrials_single         = 5; % amount of practice trials: single
setup.pr.ntrials_conj           = 8; % amount of practice trials: conjunctions

%% practice task

% cd(pn.root);
% 
% expInfo = [];
% expInfo = eval(['StateSwitch_createExpInfo_',setup.task,'_170829']);
% expInfo.dataDir = subjectsPath;
% 
% cursubj = [subj, '_MAT_Practice']; P = [];
% StateSwitch_practice_170829(expInfo, cursubj, setup, P);

%% run state switching task

cd(pn.root);

expInfo = [];
expInfo = eval(['StateSwitch_createExpInfo_',setup.task,'_170829']);
expInfo.dataDir = [pn.root, 'data/'];

cursubj = [subj, '_StateDims_', setup.task];

StateSwitch_experiment_170829(expInfo, cursubj, setup)
