% practice and task of state switching variant

%%%%%%%%%%%%%%%%%%%%%%
%% enter subject ID %%
%%%%%%%%%%%%%%%%%%%%%%

subj = '00010_test';

%%%%%%%%%%%%%%%%%%%%%%%%
%% enter task variant %%
%%%%%%%%%%%%%%%%%%%%%%%%

setup.task = 'dynamic'; % task materials: 'words', 'visual', 'dynamic'

%% add required paths

pn.root = 'C:\Users\eeg\Desktop\StateSwitch\C_Paradigm\';
pn.CB = [pn.root, 'checker\'];
pn.MAT = [pn.root, 'dotsx\'];
pn.SS = [pn.root, 'StateSwitch\'];
sca
addpath(genpath([pn.root, 'functions\']));
addpath(pn.CB);
addpath(pn.MAT);
addpath(pn.SS);
addpath(genpath([pn.root, 'helper\']));

addpath('C:\toolbox\Psychtoolbox'); % PTB ???

%% create results directory

subjectsPath = [pn.root, '/data/', subj '_' datestr(now, 'yymmdd_HHMM') '/']; mkdir(subjectsPath);

diary([subjectsPath, '_ptbnotes.txt']); version

%% set up PTB

%Screen('Preference', 'SkipSyncTests', 1);
%oldLevel = Screen('Preference', 'Verbosity', 4); % output debugging info
% PsychDebugWindowConfiguration(0,0.3)
% Screen('Preference', 'ConserveVRAM', 64)

Screen('Preference', 'SkipSyncTests', 0);
% setenv('PSYCH_ALLOW_DANGEROUS', '1');

availableKeyboards = 1;

%% settings for practice

setup.DEBUG                     = 0; 
setup.opacity                   = .4; 
setup.keyB                      = availableKeyboards;
setup.ET.useET                  = 0;
setup.EEG.useEEG                = 0;
setup.EEG.DIO.parallelTrigger   = 0;
setup.EEG.DIO.protocolDynamic   = 0;
setup.EEG.waitTrigEnc           = .005; % wait 5 ms to ensure encoding of trigger
setup.MR.useMR                  = 0;
setup.ET.falsePupilRec          = 'no';
setup.ET.ELdummymode            = 0;
setup.pr.ntrials_single         = 5; % amount of practice trials: single
setup.pr.ntrials_conj           = 8; % amount of practice trials: conjunctions

%% practice task

cd(pn.root);

expInfo = [];
expInfo = eval(['StateSwitch_createExpInfo_',setup.task,'_170829']);
expInfo.dataDir = subjectsPath;

cursubj = [subj, '_MAT_Practice']; P = [];
StateSwitch_practice_170829(expInfo, cursubj, setup, P);

%% settings for task

setup.DEBUG                     = 0; 
setup.opacity                   = .4; 
setup.keyB                      = availableKeyboards;
setup.ET.useET                  = 1;
setup.EEG.useEEG                = 1;
setup.EEG.DIO.parallelTrigger   = 1;
setup.EEG.DIO.protocolDynamic   = 1;
setup.EEG.waitTrigEnc           = .005; % wait 5 ms to ensure encoding of trigger
setup.MR.useMR                  = 0;
setup.ET.falsePupilRec          = 'no';
setup.ET.ELdummymode            = 0;

%% run state switching task

cd(pn.root);

expInfo = [];
expInfo = eval(['StateSwitch_createExpInfo_',setup.task,'_170829']);
expInfo.dataDir = [pn.root, 'data/'];
expInfo.disp = 1;

cursubj = [subj, '_StateDims_', setup.task];

StateSwitch_experiment_170829(expInfo, cursubj, setup)
